<?php

//Mage::app()->getFrontController()->getResponse()->setRedirect('http://localhost/fcbios'); 
    $_helper    = $this->helper('catalog/output');
$category = Mage::registry('current_category');
$category = Mage::getModel('catalog/category')->load($_REQUEST['catid']);
$subcategories = $category->getChildrenCategories();
$_imgHtml   = '';
    if ($_imgUrl = $category->getImageUrl()) {
        echo $_imgHtml = '<p class="category-image"><img src="'.$_imgUrl.'" alt="'.$this->escapeHtml($category->getName()).'" title="'.$this->escapeHtml($category->getName()).'" /></p>';
    }
if (count($subcategories) > 0){
	
	foreach($subcategories as $subcategory){ 
		
		 echo $subcategory->getName();
		echo '<pre>';
      print_r ($subcategory->getData()) ;
    
		 echo '<br>';
	}
	
}else{
	
	Mage::app()->getFrontController()->getResponse()->setRedirect($category->getUrl());
	
}